%define upstream_name	 Net-CIDR-Lite
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Perl extension for merging IPv4 or IPv6 CIDR addresses
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	noarch

%description
Faster alternative to Net::CIDR when merging a large number of CIDR address
ranges. Works for IPv4 and IPv6 addresses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%check
%make test

%files
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-9.mga8
+ Revision: 1495835
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-8.mga7
+ Revision: 1269893
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-7.mga6
+ Revision: 1031001
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.210.0-6.mga6
+ Revision: 939449
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 747559
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 685630
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 513344
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 370507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 22676
- cleaning spec file
- imported package perl-Net-CIDR-Lite


* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.1
+ Revision: 527743
- update to 0.21

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 404064
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.20-5mdv2009.1
+ Revision: 351848
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.20-4mdv2009.0
+ Revision: 223848
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.20-3mdv2008.1
+ Revision: 180493
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-2mdv2007.0
+ Revision: 134315
- rebuild
- Import perl-Net-CIDR-Lite

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdk
- New release 0.20

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdk
- New release 0.19
- %%mkrel

* Thu Jun 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- New release 0.18
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-2mdk
- fix buildrequires in a backward compatible way

* Sun Nov 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-1mdk 
- first mdk release

